# SqlQuery

Provides support for QtSQL Queries.

## Methods

- isWidgetType(...)
- parent(...)
- seek(...)
- signals(...)
- slots(...)
- disconnect(...)
- seek2(...)
- getAttribute(...)
- child(...)
- children(...)
- superClassName(...)
- properties(...)
- deleteLater(...)
- className(...)
- first(...)
- last(...)
- prev(...)
- setAttribute(...)
- next(...)
- connect(...)
- hasAttribute(...)
- childCount(...)
- getElementById(...)
- exec(...)
- getParentNode(...)
- value(...)
- isNull(...)

## Properties

None

## Qt Properties

- QCString name unnamed
- int size -1
- int at -1
- int numRowsAffected -1
- bool select false
- bool valid false
- bool active false
- QString lastError
- QString lastQuery

## Qt Signals

- destroyed()
- destroyed(QObject*)

## Qt Slots

- void deleteLater()
- void cleanupEventFilter(QObject*)
- bool isNull(int)
- bool exec(const QString&)
- QVariant value(int)
- bool seek(int)
- bool seek(int,bool)
- bool next()
- bool prev()
- bool first()
- bool last()